package pay.platform.core.common.domain;

import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serializable;

/**
 * 分页查询基类
 */
@Data
@EqualsAndHashCode
@ToString
public class BasePageQuery implements Serializable {

    @Parameter(description = "分页size")
    @Schema(description = "分页size")
    private long size = 10L;

    @Parameter(description = "当前页数")
    @Schema(description = "当前页数")
    private long current = 1L;

}
