package pay.platform.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.KeyType;
import com.mybatisflex.annotation.Table;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 通道管理 实体类。
 *
 * @author mybatis-flex-helper automatic generation
 * @since 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Schema(name = "通道管理")
@Table(value = "t_pay_channel")
public class PayChannel {

    /**
     * id
     */
    @Schema(description = "id")
    @Id(keyType = KeyType.Generator, value = "SUID")
    private String id;

    /**
     * 名称
     */
    @Schema(description = "名称")
    @Column(value = "name")
    private String name;

    /**
     * 编码
     */
    @Schema(description = "编码")
    @Column(value = "code")
    private String code;

    @Schema(description = "代理商id")
    @Column(value = "agent_id")
    private String agentId;


    @Schema(description = "seller_id")
    private String sellerId;
    @Schema(description = "day_max_pay_amount")
    private BigDecimal dayMaxPayAmount;
    @Schema(description = "one_pay_max_amount")
    private BigDecimal onePayMaxAmount;
    /**
     * 1服务商模式，2普通商户模式
     */
    @Schema(description = "type")
    private Integer type;
    /**
     * 当天已支付金额
     */
    @Schema(description = "day_pay_amount")
    private BigDecimal dayPayAmount;
    /**
     * 当天已支付金额
     */
    @Schema(description = "day_pay_limit")
    private Integer dayPayLimit;
    /**
     * 总已支付金额
     */
    @Schema(description = "total_pay_amount")
    private BigDecimal totalPayAmount;
    /**
     * 密钥
     */
    @Schema(description = "appId")
    @Column(value = "app_id")
    private String appId;
    /**
     * 密钥
     */
    @Schema(description = "密钥")
    @Column(value = "private_key")
    private String privateKey;

    /**
     * 公钥
     */
    @Schema(description = "公钥")
    @Column(value = "public_key")
    private String publicKey;

    /**
     * 统一费率
     */
    @Schema(description = "统一费率")
    @Column(value = "rate")
    private BigDecimal rate;
    /**
     * 状态
     */
    @Schema(description = "状态 ")
    @Column(value = "status")
    private Integer status;
    @Column(value = "error_message")
    private String errorMessage;

    /**
     * 创建人
     */
    @Schema(description = "创建人")
    @Column(value = "create_user")
    private String createUser;

    /**
     * 创建时间
     */
    @Schema(description = "创建时间")
    @Column(value = "create_time", onInsertValue = "now()")
    private LocalDateTime createTime;

    /**
     * 修改人
     */
    @Schema(description = "修改人")
    @Column(value = "update_user")
    private String updateUser;

    /**
     * 修改时间
     */
    @Schema(description = "修改时间")
    @Column(value = "update_time", onUpdateValue = "now()", onInsertValue = "now()")
    private LocalDateTime updateTime;
}
