package pay.platform.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.KeyType;
import com.mybatisflex.annotation.Table;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * 平台配置 实体类。
 *
 * @author mybatis-flex-helper automatic generation
 * @since 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Schema(name = "平台配置")
@Table(value = "t_pay_platform_setting")
public class PayPlatformSetting {

    /**
     * id
     */
    @Schema(description = "id")
    @Id(keyType = KeyType.Generator, value = "SUID")
    private String id;

    /**
     * 服务商ID
     */
    @Schema(description = "服务商ID")
    @Column(value = "app_id")
    private String appId;

    /**
     * 密钥
     */
    @Schema(description = "密钥")
    @Column(value = "private_key")
    private String privateKey;

    /**
     * 公钥
     */
    @Schema(description = "公钥")
    @Column(value = "public_key")
    private String publicKey;


    /**
     * 创建人
     */
    @Schema(description = "创建人")
    @Column(value = "create_user")
    private String createUser;

    /**
     * 创建时间
     */
    @Schema(description = "创建时间")
    @Column(value = "create_time", onInsertValue = "now()")
    private LocalDateTime createTime;

    /**
     * 修改人
     */
    @Schema(description = "修改人")
    @Column(value = "update_user")
    private String updateUser;

    /**
     * 修改时间
     */
    @Schema(description = "修改时间")
    @Column(value = "update_time", onUpdateValue = "now()", onInsertValue = "now()")
    private LocalDateTime updateTime;
}
