package pay.platform.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.KeyType;
import com.mybatisflex.annotation.Table;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.RequiredArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 系统 - 角色权限 实体类。
 *
 * @author admin
 * @since 1.0
 */
@Accessors(chain = true)
@RequiredArgsConstructor
@Data
@Schema(name = "系统 - 角色权限")
@Table(value = "sys_role_permission")
public class SysRolePermission {

    /**
     * id
     */
    @Schema(description = "id")
    @Id(keyType = KeyType.Generator, value = "SUID")
    private String id;

    /**
     * 角色id
     */
    @Schema(description = "角色id")
    @Column(value = "role_id")
    private String roleId;

    /**
     * 权限id
     */
    @Schema(description = "权限id")
    @Column(value = "permission_id")
    private String permissionId;

    /**
     * 数据权限
     */
    @Schema(description = "数据权限")
    @Column(value = "data_rule_ids")
    private String dataRuleIds;

    /**
     * 创建者
     */
    @Schema(description = "创建者")
    @Column(value = "create_user")
    private String createUser;

    /**
     * 创建时间
     */
    @Schema(description = "创建时间")
    @Column(value = "create_time", onInsertValue = "now()")
    private java.time.LocalDateTime createTime;

    /**
     * 更新者
     */
    @Schema(description = "更新者")
    @Column(value = "update_user")
    private String updateUser;

    /**
     * 更新时间
     */
    @Schema(description = "更新时间")
    @Column(value = "update_time", onUpdateValue = "now()", onInsertValue = "now()")
    private java.time.LocalDateTime updateTime;


}
