package pay.platform.domain;

import lombok.Data;
import lombok.RequiredArgsConstructor;
import lombok.experimental.Accessors;
import io.swagger.v3.oas.annotations.media.Schema;
import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.KeyType;
import com.mybatisflex.annotation.Table;

/**
 * 系统 - 用户角色 实体类。
 *
 * @author admin
 * @since 1.0
 */
@Accessors(chain = true)
@RequiredArgsConstructor
@Data
@Schema(name = "系统 - 用户角色")
@Table(value = "sys_user_role")
public class SysUserRole {

    /**
     * ID
     */
    @Schema(description = "id")
    @Id(keyType = KeyType.Generator, value = "SUID")
    private String id;

    /**
     * 用户id
     */
    @Schema(description = "用户id")
    @Column(value = "user_id")
    private String userId;

    /**
     * 角色id
     */
    @Schema(description = "角色id")
    @Column(value = "role_id")
    private String roleId;

    public SysUserRole(String userId, String roleId) {
        this.userId = userId;
        this.roleId = roleId;
    }
}
