package pay.platform.api.system.servcie.impl;


import cn.hutool.core.bean.BeanUtil;
import com.mybatisflex.core.paginate.Page;
import com.mybatisflex.core.query.QueryWrapper;
import com.mybatisflex.core.util.StringUtil;
import org.springframework.stereotype.Service;
import pay.platform.api.system.model.query.PayChannelQuery;
import pay.platform.api.system.model.vo.PayChannelVO;
import pay.platform.api.system.servcie.PayChannelService;
import pay.platform.core.common.domain.BasePage;
import pay.platform.core.common.domain.BaseService;
import pay.platform.domain.PayChannel;
import pay.platform.mapper.PayChannelMapper;

import java.util.List;

import static pay.platform.domain.table.PayChannelTableDef.PAY_CHANNEL;

/**
 * 通道管理 服务层实现。
 *
 * @author mybatis-flex-helper automatic generation
 * @since 1.0
 */
@Service
public class PayChannelServiceImpl extends BaseService<PayChannelMapper, PayChannel> implements PayChannelService {

    @Override
    public BasePage<PayChannelVO> queryPage(PayChannelQuery query) {
        QueryWrapper queryWrapper = QueryWrapper.create().from(PAY_CHANNEL).where("1 = 1")
                .and(PAY_CHANNEL.NAME.like(query.getName(), StringUtil.isNotBlank(query.getName())))
                .and(PAY_CHANNEL.CODE.like(query.getCode(), StringUtil.isNotBlank(query.getCode())))
                .and(PAY_CHANNEL.STATUS.eq(query.getStatus(), query.getStatus() != null));
        Page<PayChannel> page = mapper.paginate(new Page<>(query.getCurrent(), query.getSize()), queryWrapper);
        List<PayChannelVO> vos = BeanUtil.copyToList(page.getRecords(), PayChannelVO.class);
        return new BasePage<>(page.getPageNumber(), page.getPageSize(), page.getTotalRow(), vos);
    }
}