package pay.platform.core.enums;

import lombok.Getter;

import java.util.Arrays;
import java.util.Map;
import java.util.function.Function;
import java.util.stream.Collectors;

/**
 * 交易类型
 */
@Getter
public enum TradeEnums {

    CASH(1, "现金"), DIVIDEND(2, "红利游戏"), FREE_GAME(3, "免费游戏");

    private final Integer code;

    private final String name;

    private final static Map<Integer, TradeEnums> ENUMS_MAP = Arrays.stream(TradeEnums.values()).collect(Collectors.toMap(TradeEnums::getCode, Function.identity()));

    private TradeEnums(Integer code, String name) {
        this.code = code;
        this.name = name;
    }

    public static TradeEnums getByCode(Integer code) {
        return ENUMS_MAP.get(code);
    }
}
