package pay.platform.core.security.model;

import jakarta.annotation.Nonnull;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 在线用户
 */
@Data
@EqualsAndHashCode
@ToString
public class OnlineUser implements Serializable {
    /**
     * 用户名
     */
    private String username;
    /**
     * 昵称
     */
    private String nickName;
    /**
     * token
     */
    private String key;
    /**
     * 浏览器
     */
    private String browser;

    /**
     * IP
     */
    private String ip;

    /**
     * 地址
     */
    private String address;

    /**
     * 登录时间
     */
    private LocalDateTime loginTime;


    public static OnlineUser convert(@Nonnull UserInfo userInfo) {
        OnlineUser onlineUser = new OnlineUser();
        onlineUser.setUsername(userInfo.getUsername());
        return onlineUser;
    }
}
