package pay.platform.api.system.model.vo;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Table;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 通道管理 实体类。
 *
 * @author mybatis-flex-helper automatic generation
 * @since 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Schema(name = "通道管理")
@Table(value = "t_pay_channel")
public class PayChannelVO {

    /**
     * id
     */
    @Schema(description = "id")
    private String id;

    /**
     * 名称
     */
    @Schema(description = "名称")
    private String name;

    /**
     * 编码
     */
    @Schema(description = "编码")
    private String code;

    @Schema(description = "appId")
    private String appId;
    private Integer type;

    /**
     * 密钥
     */
    @Schema(description = "密钥")
    @Column(value = "private_key")
    private String privateKey;

    /**
     * 公钥
     */
    @Schema(description = "公钥")
    @Column(value = "public_key")
    private String publicKey;

    /**
     * 单笔限制金额
     */
    @Schema(description = "单笔限制金额")
    private BigDecimal astrictAmount;
    @Schema(description = "seller_id")
    private String sellerId;
    @Schema(description = "day_max_pay_amount")
    private String dayMaxPayAmount;
    @Schema(description = "one_pay_max_amount")
    private String onePayMaxAmount;
    /**
     * 当天已支付金额
     */
    @Schema(description = "day_pay_amount")
    private BigDecimal dayPayAmount;
    /**
     * 总已支付金额
     */
    @Schema(description = "total_pay_amount")
    private BigDecimal totalPayAmount;
    /**
     * 限制流水
     */
    @Schema(description = "限制流水")
    private BigDecimal astrictTrade;

    /**
     * 统一费率
     */
    @Schema(description = "统一费率")
    private BigDecimal rate;
    /**
     * 状态
     */
    @Schema(description = "状态 ")
    private Integer status;


    /**
     * 创建人
     */
    @Schema(description = "创建人")
    private String createUser;

    /**
     * 创建时间
     */
    @Schema(description = "创建时间")
    private LocalDateTime createTime;

    /**
     * 修改人
     */
    @Schema(description = "修改人")
    private String updateUser;

    /**
     * 修改时间
     */
    @Schema(description = "修改时间")
    private LocalDateTime updateTime;
}
