package pay.platform.api.system.servcie;


import com.mybatisflex.core.service.IService;
import jakarta.annotation.Nonnull;
import pay.platform.api.system.model.request.BindGoogleOtpRequest;
import pay.platform.api.system.model.vo.PayAgentVO;
import pay.platform.api.system.model.vo.UserVO;
import pay.platform.core.common.Result;
import pay.platform.domain.PayAgent;

import java.util.Optional;

/**
 * 代理系统 服务层。
 *
 * @author mybatis-flex-helper automatic generation
 * @since 1.0
 */
public interface PayAgentService extends IService<PayAgent> {
    Optional<PayAgent> loadUserByUsername(String username);

    boolean hasGoogleOtp(String userid);


    /**
     * 帐号是否存在
     *
     * @param username .
     * @return .
     */
    public Result<Boolean> hashUsername(String username);

    /**
     * 根据ID获取详情
     *
     * @param id .
     * @return .
     */
    public Result<UserVO> detail(String id);


    /**
     * 更新用户
     *
     * @param id .
     * @param vo .
     * @return .
     */
    public Result<PayAgentVO> updateById(String id, PayAgentVO vo);


    /**
     * 重置密码
     *
     * @param username .
     * @param passwd   .
     * @return .
     */

    public Result<String> resetPassword(@Nonnull String username, @Nonnull String passwd);

    /**
     * 修改密码
     *
     * @param username  .
     * @param oldPasswd .
     * @param newPasswd .
     * @return .
     */
    public Result<String> changePasswd(@Nonnull String username, @Nonnull String oldPasswd, @Nonnull String newPasswd);

    /**
     * 创建谷歌验证器
     *
     * @param id ID
     * @return otp
     */
    public String createGoogleOtp(String id);

    /**
     * 校验谷歌验证器
     *
     * @param id   ID
     * @param code 验证码
     * @return true/false
     */
    public boolean checkGoogleOtp(String id, String code);

    Result<String> bindGoogleOtp(BindGoogleOtpRequest request);
}