package pay.platform.core.security.handler;

import cn.bzvs.json.JsonUtils;
import cn.hutool.core.util.StrUtil;
import cn.hutool.extra.servlet.JakartaServletUtil;
import jakarta.servlet.ServletException;
import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpServletResponse;
import org.springframework.http.HttpStatus;
import org.springframework.http.MediaType;
import org.springframework.security.access.AccessDeniedException;
import org.springframework.security.web.access.AccessDeniedHandler;
import org.springframework.stereotype.Component;
import pay.platform.core.common.PlatformConst;
import pay.platform.core.common.Result;

import java.io.IOException;

/**
 * token 权限不足
 */
@Component
public class TokenAccessDeniedHandler implements AccessDeniedHandler {
    @Override
    public void handle(HttpServletRequest request, HttpServletResponse response, AccessDeniedException accessDeniedException) throws IOException, ServletException {
        //当用户在没有授权的情况下访问受保护的REST资源时，将调用此方法发送403 Forbidden响应
        int code = HttpStatus.FORBIDDEN.value();
        String msg = StrUtil.format("请求访问:{} ,没有访问权限!", request.getRequestURI());
        response.setCharacterEncoding(PlatformConst.CHARSET_NAME_UTF8);
        JakartaServletUtil.write(response, JsonUtils.toJsonString(Result.NG(code, msg)), MediaType.APPLICATION_JSON_VALUE);
    }
}
