package pay.platform.api.system.model.response;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 *
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class OrderResponse implements Serializable {

    /**
     * 订单号
     */
    @Schema(description = "订单号")
    private String orderNo;
    /**
     * 金额
     */
    @Schema(description = "金额")
    private BigDecimal amount;

    /**
     * -1：支付失败 0：待支付 1：支付成功 2：退款
     */
    @Schema(description = "-1：支付失败 0：待支付 1：支付成功 2：退款")
    private Integer status;
    /**
     * 当前时间
     */
    private Long currentTime;
    private String sign;
}
